body {
  margin: 0;
  font-family: Arial, sans-serif;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100dvh;
  background-color: #f9f9f9;
}

form {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  width: 100%;
  max-width: 400px;
  height: 80%;
  background-color: #f9f9f9;
  border-radius: 8px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  padding: 20px;
}

.input-wrapper {
  display: flex;
  flex-direction: column;
  width: 100%;
  flex: 1;
}

label {
  font-size: 14px;
  margin-bottom: 8px;
  color: #333;
}

input, select {
  width: 100%;
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 4px;
  font-size: 14px;
  color: #333;
  box-sizing: border-box;
}

#submit-button {
  width: 100%;
  padding: 15px;
  background-color: #4CAF50;
  color: white;
  font-size: 16px;
  font-weight: bold;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  text-align: center;
  transition: background-color 0.3s ease;
}

#submit-button:hover {
  background-color: #45a049;
}

.toast {
  position: fixed;
  top: -50px; /* Start off-screen */
  left: 50%;
  transform: translateX(-50%);
  background-color: #4CAF50;
  color: white;
  padding: 10px 20px;
  border-radius: 5px;
  font-size: 14px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  opacity: 0;
  transition: opacity 0.3s ease, top 0.3s ease;
  z-index: 1000;
}

.toast.error {
  background-color: #f44336;
}

.toast.show {
  opacity: 1;
  top: 20px; /* Slide into view */
}

.row {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: start;
}

.row-editor {
  display: flex;
  flex-direction: row;

}

.display-column {
  display: flex;
  flex-direction: column;
  margin-top: -4px;
}

.row-button-class {
  display: flex;
  width: 100%;
  padding: 10px;
  margin-top: 20px;
  background-color: #f9f9f9;
  border: 1px solid #ccc;
}

.save-row-button {
  padding: 10px;
  height: 100%;
  margin-top: 20px;
}

.rowButton {
  width: 100%;
}

.hidden {
  display: none;
}